Config.InternodeCompression (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Enum Config.InternodeCompression

- java.lang.Object
- - java.lang.Enum<Config.InternodeCompression>
  - - org.apache.cassandra.config.Config.InternodeCompression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Config.InternodeCompression>
  Enclosing class:
    Config

      public static enum Config.InternodeCompression
      extends java.lang.Enum<Config.InternodeCompression>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all`
    `dc`
    `none`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Config.InternodeCompression` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Config.InternodeCompression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### all

          public static final Config.InternodeCompression all

    - #### none

          public static final Config.InternodeCompression none

    - #### dc

          public static final Config.InternodeCompression dc

  - ### Method Detail

    - #### values

          public static Config.InternodeCompression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Config.InternodeCompression c : Config.InternodeCompression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Config.InternodeCompression valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation